claw::graphic::png::writer::target_manager Struct Reference

Target manager that allow us to write in a std::ostream. More...

`#include <png.hpp>`

## Public Member Functions

| target_manager (std::ostream &os)
| Constructor.
void | write (png_bytep data, png_size_t length)
| Write data in the ouput stream.
void | flush ()
| Flush the output stream.

## Detailed Description

Target manager that allow us to write in a std::ostream.

Author
  Julien Jorge

Definition at line 165 of file png.hpp.

## Constructor & Destructor Documentation

## target_manager()

claw::graphic::png::writer::target_manager::target_manager | ( | std::ostream & | os | ) |

Constructor.

Parameters

  os | The stream in which we write.

Definition at line 72 of file png_writer.cpp.

References CLAW_PRECOND.

## Member Function Documentation

## flush()

void claw::graphic::png::writer::target_manager::flush | ( |  | ) |

Flush the output stream.

Definition at line 94 of file png_writer.cpp.

Referenced by claw__graphic__png__target_manager__flush().

## write()

void claw::graphic::png::writer::target_manager::write | ( | png_bytep | data,
|  | png_size_t | length )

Write data in the ouput stream.

Parameters

  data | (out) Array of the bytes to write.
  length | Number of bytes to write.

Definition at line 84 of file png_writer.cpp.

Referenced by claw__graphic__png__target_manager__write().

The documentation for this struct was generated from the following files:

- png.hpp
- code/png_writer.cpp